NSX-T Data Center REST API

Create or Replace IPFIX dfw collector profile

Create or Replace IPFIX dfw collector profile. IPFIX data will be sent to IPFIX
collector port.

Request:

Method:
PUT
URI Path(s):
/policy/api/v1/infra/ipfix-dfw-collector-profiles/{ipfix-dfw-collector-profile-id}
Request Headers:
n/a
Query Parameters:
OverrideRequestParameters+
Request Body:
IPFIXDFWCollectorProfile+

Example Request:

PUT https://<policy-mgr>/policy/api/v1/infra/ipfix-dfw-collector-profiles/profile1 { "ipfix_dfw_collectors": [ { "collector_ip_address": "230.90.90.90", "collector_port": 1570 } ], "_revision": 0 }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
IPFIXDFWCollectorProfile+

Example Response:

{ "ipfix_dfw_collectors": [ { "collector_ip_address": "230.90.90.90", "collector_port": 1570, "marked_for_delete": false, "_protection": "NOT_PROTECTED" } ], "resource_type": "IPFIXDFWCollectorProfile", "id": "profile1", "display_name": "profile1", "path": "/infra/ipfix-dfw-collector-profiles/profile1", "relative_path": "profile1", "parent_path": "/infra/ipfix-dfw-collector-profiles/profile1", "marked_for_delete": false, "_create_user": "admin", "_create_time": 1545256220232, "_last_modified_user": "admin", "_last_modified_time": 1545257032468, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 1 }

Required Permissions:

crud

Feature:

policy_ipfix_dfw

Additional Errors: